coupang
PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/ordersheets/acknowledgement2609170000

Changing the status to Product in Preparation

# 01

Summary

Changing the status to Product in Preparation

# 02

Details

Available buyer market: Korean, Taiwan

Change the order status from "Payment Complete" to "Product in Preparation". Partial Error is returned if there are canceled orders among those for which status change was requested.
※ If the list includes orders that have been partially canceled and being refunded, the message "Unable to change the delivery status. Check the order history." will be returned.
After the refund has been completed, orders that include non-canceled items can be changed to Product in Preparation.

Only applicable to shipmentBoxIds at Payment Complete.

A timeout error may occur if the size of the shipmentBoxIds list is big. Request single IDs or list under 50.

After changing the status to Product in Preparation, YOU MUST look up and update individual orders to see if the shipping address has been changed, in case the customer has changed it while at Payment Complete.

Path

PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/ordersheets/acknowledgement

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/ordersheets/acknowledgement

URL API Name

UPDATE_ORDERSHEET_STATUS
# 03

Path parameters

NameTypeDescription
vendorId*string
Vendor ID

Unique code Coupang issues to seller
e.g.

A00012345
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
vendorId*string
Vendor ID

Unique code Coupang issues to seller
e.g.

A00012345
shipmentBoxIds*object[]
List of bundled shipping numbers to be changed to Product in Preparation state
Request up to 50 at a time
Request exampleapplication/json
{
  "vendorId": "A00012345",
  "shipmentBoxIds": [
    123456789012345680,
    123456789012345680
  ]
}
# 05

Response body

Response message

NameTypeDescription
codestring
Server response code
messagestring
Server response message
dataobject
Ordersheet state change api call result
responseKey
data.responseKey
integer
Distinct value for request
System meta data
responseCode
data.responseCode
integer
Status code for the entire request result
Code Message
-1 None
0 All succeeded.
1 Partial errors.
99 All Failed.
responseMessage
data.responseMessage
string
Status message for the entire request result
responseList
data.responseList
object[]
Result set for individual case
shipmentBoxId
data.responseList[].shipmentBoxId
integer
Bundled shipping number
succeed
data.responseList[].succeed
boolean
Success Y/N
resultCode
data.responseList[].resultCode
string
Result code
retryRequired
data.responseList[].retryRequired
boolean
Retry Y/N
resultMessage
data.responseList[].resultMessage
string
Result message

Response Example

{
  "code": "200",
  "message": "OK",
  "data": {
    "responseKey": -7326489997410940000,
    "responseCode": 1,
    "responseMessage": "apply instructStatus result - Partial errors.",
    "responseList": [
      {
        "shipmentBoxId": 123456789012345680,
        "succeed": true,
        "resultCode": "OK",
        "retryRequired": false,
        "resultMessage": "request succeeded."
      },
      {
        "shipmentBoxId": 123456789012345680,
        "succeed": false,
        "resultCode": "NOT_FOUND_SHIPMENT_BOX",
        "retryRequired": true,
        "resultMessage": "shipmentBoxId (123456789012345679) is not found."
      }
    ]
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
500500 (sever error)

"code":500, "message" : "com.coupang.apigateway.pylon.ApiPreconditionException: Timeout waiting for connection from pool"

This is a temporary error due to an increase in the internal system load. Request again after a certain period of time.

504504 (sever error)

"code" : "ERROR", "message" : "Request timed out, if the situation continues consider applying timeout extension."

This is a temporary error due to an increase in the internal system load. Check whether the order has been changed to Product in Preparation with the single PO query API, and if there is no change, retry after a certain period of time.

521521 (sever error)

"code" : "ERROR", "message" : "connection timed out: aws-openapi.coupang.net/10.211.51.172:80"

This is a temporary error due to an increase in the internal system load. Check whether the order has been changed to Product in Preparation with the single PO query API, and if there is no change, retry after a certain period of time.